org.jfree.ui.action

## Class AbstractActionDowngrade

- java.lang.Object
- - javax.swing.AbstractAction
  - - org.jfree.ui.action.AbstractActionDowngrade

All Implemented Interfaces:
  java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action, ActionDowngrade

Direct Known Subclasses:
  AbstractFileSelectionAction

    public abstract class AbstractActionDowngrade
    extends javax.swing.AbstractAction
    implements ActionDowngrade

A class that allows Action features introduced in JDK 1.3 to be used with JDK 1.2.2, by defining the two new constants introduced by Sun in JDK 1.3.

Author:
  Thomas Morgner
See Also:
  Serialized Form

### Field Summary

Fields
`static java.lang.String` `ACCELERATOR_KEY` The key used for storing a `KeyStroke` to be used as the accelerator for the action.
`static java.lang.String` `MNEMONIC_KEY` The key used for storing an int key code to be used as the mnemonic for the action.

### Fields inherited from class javax.swing.AbstractAction

`changeSupport, enabled`

### Fields inherited from interface javax.swing.Action

`ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

### Constructor Summary

Constructors
`protected` `AbstractActionDowngrade()` Creates a new action with a default (transparent) icon.

### Method Summary

### Methods inherited from class javax.swing.AbstractAction

`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.swing.Action

`addPropertyChangeListener, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

### Methods inherited from interface java.awt.event.ActionListener

`actionPerformed`

### Field Detail

#### ACCELERATOR_KEY

    public static final java.lang.String ACCELERATOR_KEY

The key used for storing a `KeyStroke` to be used as the accelerator for the action.

See Also:
  Constant Field Values

#### MNEMONIC_KEY

    public static final java.lang.String MNEMONIC_KEY

The key used for storing an int key code to be used as the mnemonic for the action.

See Also:
  Constant Field Values

### Constructor Detail

#### AbstractActionDowngrade

    protected AbstractActionDowngrade()

Creates a new action with a default (transparent) icon.